Bug 655569 - [abrt] octave-6:3.2.4-3.fc14: LockSemaphoreInfo: Process /usr/bin/octave-3.2.4 was killed by signal 6 (SIGABRT)
Summary: [abrt] octave-6:3.2.4-3.fc14: LockSemaphoreInfo: Process /usr/bin/octave-3.2....
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: octave
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rakesh Pandit
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ab0410ddbc482f926fb4a1e65e8...
: 662458 693556 701218 741408 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-21 18:32 UTC by Gert Vervoort
Modified: 2012-08-16 19:52 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 19:52:03 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (29.69 KB, text/plain)
2010-11-21 18:32 UTC, Gert Vervoort
no flags Details

Description Gert Vervoort 2010-11-21 18:32:24 UTC
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: octave
component: octave
crash_function: LockSemaphoreInfo
executable: /usr/bin/octave-3.2.4
kernel: 2.6.35.6-48.fc14.x86_64
package: octave-6:3.2.4-3.fc14
rating: 4
reason: Process /usr/bin/octave-3.2.4 was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1290363902
uid: 500

comment
-----
[gert@jupiter tmp]$ octave
GNU Octave, version 3.2.4
Copyright (C) 2009 John W. Eaton and others.
This is free software; see the source code for copying conditions.
There is ABSOLUTELY NO WARRANTY; not even for MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  For details, type `warranty'.

Octave was configured for "x86_64-redhat-linux-gnu".

Additional information about Octave is available at http://www.octave.org.

Please contribute if you find this software useful.
For more information, visit http://www.octave.org/help-wanted.html

Report bugs to <bug@octave.org> (but first, please read
http://www.octave.org/bugs.html to learn how to write a helpful report).

For information about changes from previous versions, type `news'.

warning: mark_as_command is obsolete and will be removed from a future version of Octave
octave:1> I = imread('1.png','png');
octave: magick/semaphore.c:525: LockSemaphoreInfo: Assertion `semaphore_info != (SemaphoreInfo *) ((void *)0)' failed.
panic: Aborted -- stopping myself...
Aborted (core dumped)
[gert@jupiter tmp]$

How to reproduce
-----
1. Start octave: octave
2. Read an image: I = imread('1.png','png');

Comment 1 Gert Vervoort 2010-11-21 18:32:27 UTC
Created attachment 461854 [details]
File: backtrace

Comment 2 Rakesh Pandit 2010-12-29 08:32:06 UTC
*** Bug 662458 has been marked as a duplicate of this bug. ***

Comment 3 Przemek Klosowski 2011-02-23 16:52:03 UTC
Package: octave-6:3.2.4-3.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. start octave
2. read a random image:   imread('myimage.tif')
3. crash


Comment
-----
it seems that the Octave integration with ImageMagick is faulty

Comment 4 Przemek Klosowski 2011-02-23 18:17:18 UTC
Same error still present in octave 3.2.4-4.fc14 from updates-testing (Feb 23,2011)

Comment 5 Przemek Klosowski 2011-02-23 18:42:18 UTC
Apparently, this is a known incompatibility between octave-3.2.4 and GraphicsMagick-1.3.12 :

http://savannah.gnu.org/bugs/?29474


https://bugs.launchpad.net/ubuntu/+source/graphicsmagick/+bug/636021

claims that it's due to a failure to properly initialize ImageMagick:

    In source file "main.cc" add the following line before the first while in 
    the function (maybe there is a better place, but this one works):

I checked this by running octave in GDB and invoking InitializeMagick(0):

(gdb) b ReadImage
Breakpoint 2 at 0x25131e8: file magick/constitute.c, line 8201.
(gdb) c
octave:1> img=imread('myimage.tif');
Breakpoint 2, ReadImage (image_info=0xa0f0148, exception=0xbff0d7a0) at magick/constitute.c:8201

(gdb) p InitializeMagick(0)              <---- calling the init from GDB
(gdb) c
octave:2> size(img)              <---- imread() call successfully completes
ans =

   2880   3840

Comment 6 Oscar Yanez 2011-02-28 15:59:33 UTC
Hi everyone,

Just to refresh this issue, as Przemek pointed out (comments #4 and #5), this bug is still present in octave-3.2.4-4.fc14 as of 02/28/2011. I can exactly reproduce the run under gdb. I don't know exactly what to do other than rebuilding my own version in my PC, but the problem will linger on the distribution. Please, anyone around to do the fix ? Thanks in advance.

Comment 7 abrt-bot 2012-03-20 16:47:10 UTC
*** Bug 741408 has been marked as a duplicate of this bug. ***

Comment 8 abrt-bot 2012-03-20 16:47:20 UTC
*** Bug 693556 has been marked as a duplicate of this bug. ***

Comment 9 abrt-bot 2012-03-20 16:47:31 UTC
*** Bug 701218 has been marked as a duplicate of this bug. ***

Comment 10 Tao 2012-04-12 11:28:40 UTC
Package: octave-6:3.2.4-4.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.executed imread function
2.
3.

Comment 11 Fedora End Of Life 2012-08-16 19:52:06 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.